Bug 33271 - не работает maxima
: не работает maxima
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/maxima)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2017-03-24 06:37 by
Modified: 2018-09-21 02:49 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2017-03-24 06:37:49
maxima
fatal error encountered in SBCL pid 8587(tid 140737353629376):
can't load .core for different runtime, sorry


Welcome to LDB, a low-level debugger for the Lisp runtime environment.
ldb> quit
------- Comment #1 From 2018-08-26 12:51:11 -------
Ilya Mashkin, почините, пожалуйста. Наверное нужно пересобрать с sbcl-1.4.10

У меня ошибка сейчас такая:

maxima
core was built for runtime "localhost.localdomain-builder-2017-12-17-23-16-05"
but this is "localhost.localdomain-builder-2018-08-16-00-03-08"
fatal error encountered in SBCL pid 9473(tid 0x7f7caf9f7b80):
can't load .core for different runtime, sorry

Также я нагуглил https://github.com/Homebrew/homebrew-science/issues/1791 Там
предлагается собирать maxima с --enable-sbcl-exec
------- Comment #2 From 2018-08-27 06:58:40 -------
Попробуем пересобрать так
------- Comment #3 From 2018-09-16 09:28:56 -------
Я проверил, пересборка помогает. Я так понимаю, что всё застопорилось из-за
архитектуры aarch64 (как минимум под неё требуется собрать clisp, который
FTBSFS 18 недель как). Потому хочу вас попросить пересобрать maxima временно
как exclusiveArch. Мне это нужно ещё и для того, чтобы пересобрать wxMaxima с
wxGTK3.0.
------- Comment #4 From 2018-09-21 02:49:42 -------
maxima-5.41.0-alt3 -> sisyphus:

Thu Sep 20 2018 Ilya Mashkin <oddity@altlinux.ru> 5.41.0-alt3
- rebuild with sbcl 1.4.10 (Closes: #33271)
- Try build with --enable-sbcl-exec instead of --enable-sbcl